import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { BreadcrumbService } from '@meshmakers/shared-services';
import { BreadcrumbData } from "../services/breadcrumbData";
import * as i0 from "@angular/core";
export declare class MmBreadcrumbComponent implements OnInit {
    private readonly activatedRoute;
    private readonly router;
    private readonly breadcrumbService;
    protected breadcrumbData: BreadcrumbData[];
    fontSize: string;
    fontColor: string;
    lastLinkColor: string;
    symbol: string;
    constructor(activatedRoute: ActivatedRoute, router: Router, breadcrumbService: BreadcrumbService);
    ngOnInit(): void;
    breadCrumbData(): void;
    private updateData;
    static ɵfac: i0.ɵɵFactoryDeclaration<MmBreadcrumbComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MmBreadcrumbComponent, "mm-breadcrumb", never, { "fontSize": { "alias": "fontSize"; "required": false; }; "fontColor": { "alias": "fontColor"; "required": false; }; "lastLinkColor": { "alias": "lastLinkColor"; "required": false; }; "symbol": { "alias": "symbol"; "required": false; }; }, {}, never, never, false, never>;
}
