import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { ButtonTypes, ConfirmationWindowData } from "../models/confirmation";
import * as i0 from "@angular/core";
export declare class MmConfirmationWindowComponent implements OnInit {
    private readonly dialogRef;
    data: ConfirmationWindowData;
    button1Text: string;
    button1Result: ButtonTypes;
    button2Text: string | null;
    button2Result: ButtonTypes | null;
    button3Text: string | null;
    button3Result: ButtonTypes | null;
    constructor(dialogRef: MatDialogRef<MmConfirmationWindowComponent>, data: ConfirmationWindowData);
    ngOnInit(): void;
    onButton1(): void;
    onButton2(): void;
    onButton3(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MmConfirmationWindowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MmConfirmationWindowComponent, "mm-confirmation-window", never, {}, {}, never, never, false, never>;
}
