import { ElementRef } from "@angular/core";
import { MatDialogRef } from "@angular/material/dialog";
import { FileUploadData } from "../models/confirmation";
import { MatSnackBar } from "@angular/material/snack-bar";
import * as i0 from "@angular/core";
export declare class MmFileUploadComponent {
    private readonly dialogRef;
    protected data: FileUploadData;
    private snackBar;
    protected fileName: import("@angular/core").WritableSignal<string>;
    protected fileSize: import("@angular/core").WritableSignal<number>;
    protected uploadProgress: import("@angular/core").WritableSignal<number>;
    protected fileInput: ElementRef | undefined;
    protected selectedFile: File | null;
    protected uploadSuccess: boolean;
    protected uploadError: boolean;
    constructor(dialogRef: MatDialogRef<MmFileUploadComponent>, data: FileUploadData, snackBar: MatSnackBar);
    onFileChange(event: any): void;
    onFileDrop(event: DragEvent): void;
    onDragOver(event: DragEvent): void;
    uploadFile(file: File | null): void;
    removeFile(): void;
    onOk(): void;
    onCancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MmFileUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MmFileUploadComponent, "mm-mm-file-upload", never, {}, {}, never, never, false, never>;
}
