import { FormGroup } from '@angular/forms';
export declare abstract class AbstractDetailsComponent<TEntity> {
    private _loading;
    private readonly _ownerForm;
    private _entity;
    protected constructor(formGroup: FormGroup);
    get loading(): boolean;
    set loading(value: boolean);
    get entity(): TEntity | null;
    set entity(value: TEntity | null);
    get ownerForm(): FormGroup;
    get isLoaded(): boolean;
    hasError: (controlName: string, errorName: string) => boolean;
    hasFormError: (errorName: string) => boolean;
    updateDateTime(controlName: string): void;
    copyInputMessage(inputElement: any): void;
    protected onProgressStarting(): void;
    protected onProgressCompleted(): void;
}
