import { ValidatorFn } from '@angular/forms';
export type CompareValueFn<TValue> = (value: TValue) => boolean;
export declare class CommonValidators {
    static phoneNumber(): ValidatorFn;
    static httpUri(): ValidatorFn;
    static ensureSameValue(sourceControlName: string): ValidatorFn;
    static conditionalRequired<TCompareValue>(sourceControlName: string, sourceValueCompareExpression: CompareValueFn<TCompareValue>): ValidatorFn;
    static dependentControls(controlNames: string[]): ValidatorFn;
}
