import { MatDialog } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class ProgressNotifierService {
    private readonly dialog;
    private readonly _currentProgressValue;
    private currentDialogRef;
    constructor(dialog: MatDialog);
    private _isCanceled;
    get isCanceled(): boolean;
    set isCanceled(value: boolean);
    start(title: string, isDeterminate: boolean, isCancelOperationAvailable: boolean): void;
    reportProgressDeterminate(progressCurrent: number, progressMax: number, statusText: string): void;
    reportProgressIndeterminate(statusText: string): void;
    complete(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProgressNotifierService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ProgressNotifierService>;
}
