import { OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { ProgressValue } from '../models/progressValue';
import * as i0 from "@angular/core";
export interface ProgressWindowData {
    title: string;
    isDeterminate: boolean;
    progress: Observable<ProgressValue>;
    isCancelOperationAvailable: boolean;
    cancelOperation: () => void;
}
export type ProgressWindowResult = object;
export declare class MmProgressWindowComponent implements OnInit {
    data: ProgressWindowData;
    statusText: string | null;
    progressValue: number;
    constructor(data: ProgressWindowData);
    ngOnInit(): void;
    onCancelClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MmProgressWindowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MmProgressWindowComponent, "mm-progress-window", never, {}, {}, never, never, false, never>;
}
