import { Observable } from 'rxjs';
import { MatDialog } from '@angular/material/dialog';
import { ConfirmationWindowResult } from "../models/confirmation";
import * as i0 from "@angular/core";
export declare class ConfirmationService {
    private readonly dialog;
    constructor(dialog: MatDialog);
    showYesNoConfirmationDialog(title: string, message: string): Observable<boolean>;
    showYesNoCancelConfirmationDialog(title: string, message: string): Observable<ConfirmationWindowResult | undefined>;
    showOkCancelConfirmationDialog(title: string, message: string): Observable<boolean>;
    showOkDialog(title: string, message: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfirmationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ConfirmationService>;
}
